# getOrganisationProfile

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/companies/{tenantId}/profile |

| Field | Value |
|---|---|
| operationId | getOrganisationProfile |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /companies/{tenantId}/profile |
| tags | `Organization Profile` |
| summary | Read organisation profile |
| badges | `{"name":"Owner"}` |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| tenantId | path | true | string | Tenant ID of the company |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Organisation profile projection | #/components/schemas/OrganisationProfileResponseDto |
| 400 | Malformed tenantId path parameter | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 403 | Insufficient role (owner required) or tenant mismatch | #/components/schemas/ApiErrorResponseDto |
| 404 | No companies row for the authenticated tenant | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed (uuid is expected)",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 403 example

```json
{
  "statusCode": 403,
  "message": "Insufficient role privileges",
  "error": "AUTH_INSUFFICIENT_ROLE"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "No organisation profile for the authenticated tenant",
  "error": "ORGANISATION_PROFILE_NOT_FOUND"
}
```
